@import "https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@300&display=swap";
@import "https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap";

/* css/app.scss */
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:after,
blockquote:before,
q:after,
q:before {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
body {
  height: 100vh;
  background-color: #000;
  color: #FFF;
}
.layout {
  height: 100vh;
  width: 100vw;
  display: grid;
  grid-template-columns: 40% 20% 40%;
}
.layout .pane {
  padding: 1em;
}
.layout .pane.left {
  text-align: left;
}
.layout .pane.center {
  text-align: center;
}
.layout .pane.right {
  text-align: right;
}
.text-align-center {
  text-align: center;
}
.text-align-left {
  text-align: left;
}
.text-align-right {
  text-align: right;
}
.module {
  padding: 1em;
}
.snowhite-modules-clock h1 {
  font-size: 3em;
  font-family: "Roboto Mono", monospace;
  margin-bottom: 0.2em;
}
.snowhite-modules-clock h2 {
  font-size: 1.5em;
  font-family: "Roboto Mono", monospace;
  font-weight: bold;
  text-transform: lowercase;
}
.snowhite-modules-clock {
  margin-bottom: 1em;
}
.snowhite-modules-weather-current,
.snowhite-modules-weather-forecast {
  padding: 0.2em;
}
.snowhite-modules-weather-current h1,
.snowhite-modules-weather-forecast h1 {
  font-size: 40pt;
  font-family: "Roboto Mono", monospace;
}
.snowhite-modules-weather-current h1.temperature::after,
.snowhite-modules-weather-forecast h1.temperature::after {
  font-size: 20pt;
}
.snowhite-modules-weather-current .temperature::after,
.snowhite-modules-weather-forecast .temperature::after {
  vertical-align: super;
  font-weight: normal;
  padding-left: 0.1rem;
}
.snowhite-modules-weather-current .temperature.metric::after,
.snowhite-modules-weather-forecast .temperature.metric::after {
  content: "C";
}
.snowhite-modules-weather-current .temperature.imperial::after,
.snowhite-modules-weather-forecast .temperature.imperial::after {
  content: "F";
}
.snowhite-modules-weather-current h2,
.snowhite-modules-weather-forecast h2 {
  font-size: 18pt;
  font-family: "Roboto Mono", monospace;
  text-transform: lowercase;
  font-weight: bold;
}
.snowhite-modules-weather-current h2.temperature::after,
.snowhite-modules-weather-forecast h2.temperature::after {
  font-size: 14pt;
}
.snowhite-modules-weather-current h3,
.snowhite-modules-weather-forecast h3 {
  font-size: 16pt;
  margin-left: 10px;
  margin-right: 10px;
  font-family: "Roboto", sans-serif;
}
.snowhite-modules-weather-current > div,
.snowhite-modules-weather-forecast > div {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.snowhite-modules-weather-current table.forecasts td,
.snowhite-modules-weather-forecast table.forecasts td {
  text-align: left;
  vertical-align: middle;
}
.snowhite-modules-weather-current .forecasts.inline,
.snowhite-modules-weather-forecast .forecasts.inline {
  display: flex;
}
.snowhite-modules-weather-current .forecasts.inline .forecast-item,
.snowhite-modules-weather-forecast .forecasts.inline .forecast-item {
  display: flex;
  flex-flow: column;
  align-items: center;
}
.snowhite-modules-weather-current .forecasts.inline .forecast-item h2,
.snowhite-modules-weather-forecast .forecasts.inline .forecast-item h2 {
  padding-bottom: 0.4rem;
  font-size: 13pt;
}
.snowhite-modules-weather-current .forecasts.inline .forecast-item h3,
.snowhite-modules-weather-forecast .forecasts.inline .forecast-item h3 {
  font-size: 11pt;
}
.snowhite-modules-news {
  font-family: "Roboto", sans-serif;
}
.snowhite-modules-news ul.feeds > li {
  font-weight: bold;
  padding-left: 0.4em;
  margin-bottom: 1.7em;
}
.snowhite-modules-news ul.news {
  margin-top: 0.5em;
}
.snowhite-modules-news ul.news > li {
  padding-left: 1em;
  font-weight: normal;
  margin-bottom: 0.6em;
  border-left: 2px solid white;
  line-height: 1.4em;
  display: flex;
  align-items: center;
}
.snowhite-modules-news ul.news > li a {
  color: #FFF;
  text-decoration: none;
  display: block;
  padding: 0.3em 0;
}
.snowhite-modules-news ul.news > li svg {
  min-width: 60px;
  min-height: 60px;
  max-width: 60px;
  max-height: 60px;
  margin-right: 1em;
}
.snowhite-modules-news ul.news > li small {
  color: rgb(178.5, 178.5, 178.5);
}
.snowhite-modules-calendar table td,
.snowhite-modules-calendar table th {
  font-family: "Roboto Mono", monospace;
  padding: 0.5em;
  text-align: center;
}
.snowhite-modules-calendar table td.weekend,
.snowhite-modules-calendar table td.other-month,
.snowhite-modules-calendar table th.weekend,
.snowhite-modules-calendar table th.other-month {
  color: rgb(178.5, 178.5, 178.5);
}
.snowhite-modules-calendar table td.today,
.snowhite-modules-calendar table th.today {
  background-color: #FFF;
  color: #000;
  font-weight: bold;
  border-radius: 1000px;
}
.snowhite-modules-suntime {
  font-family: "Roboto", sans-serif;
}
.snowhite-modules-suntime h2 {
  font-size: 0.9em;
  color: rgb(178.5, 178.5, 178.5);
  margin-bottom: 1em;
}
.snowhite-modules-suntime .times {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 1em;
}
.snowhite-modules-suntime .times > div {
  display: flex;
  flex-direction: column;
}
.snowhite-modules-suntime .times > div:first-child {
  margin-right: 1.5em;
}
.snowhite-modules-suntime .times svg {
  fill: #EC6E4C;
  height: 3em;
}
.snowhite-modules-stockmarket {
  font-family: "Roboto", sans-serif;
}
.snowhite-modules-stockmarket .wrapper {
  display: flex;
}
.snowhite-modules-stockmarket .symbol {
  padding-left: 0.4rem;
  padding-right: 0.4rem;
  text-align: center;
}
.snowhite-modules-stockmarket h1 {
  font-weight: bold;
  color: #FCFCFC;
  font-size: 1.2em;
}
.snowhite-modules-stockmarket h1,
.snowhite-modules-stockmarket h2 {
  margin-bottom: 0.3rem;
}
.snowhite-modules-stockmarket h2 {
  color: white;
  padding: 0.2rem 0.3rem;
  font-weight: bold;
  font-size: 1.1em;
}
.snowhite-modules-stockmarket h2.value::after {
  content: "$";
}
.snowhite-modules-stockmarket h2.change::after {
  content: "%";
}
.snowhite-modules-stockmarket .symbol.symbol-positive h2.change {
  background-color: green;
}
.snowhite-modules-stockmarket .symbol.symbol-negative h2.change {
  background-color: red;
}
.snowhite-modules-stockmarket .symbol.symbol-even h2.change {
  background-color: gray;
}
